Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class TextDirection

    java.lang.Object
      org.apache.poi.xslf.usermodel.TextDirection

    public class TextDirection

extends java.lang.Object

Vertical Text Types

Field Summary
`static TextDirection` | `HORIZONTAL` Horizontal text.
`static TextDirection` | `STACKED` Determines if all of the text is vertical ("one letter on top of another").
`static TextDirection` | `VERTICAL` Vertical orientation.
`static TextDirection` | `VERTICAL_270` Vertical orientation.

Constructor Summary
`TextDirection(int ordinal)`

Method Summary
`int` | `ordinal()`
`static TextDirection[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HORIZONTAL

    public static final TextDirection HORIZONTAL

  Horizontal text. This should be default.

### VERTICAL

    public static final TextDirection VERTICAL

  Vertical orientation. (each line is 90 degrees rotated clockwise, so it goes from top to bottom; each next line is to the left from the previous one).

### VERTICAL_270

    public static final TextDirection VERTICAL_270

  Vertical orientation. (each line is 270 degrees rotated clockwise, so it goes from bottom to top; each next line is to the right from the previous one).

### STACKED

    public static final TextDirection STACKED

  Determines if all of the text is vertical ("one letter on top of another").

Constructor Detail

### TextDirection

    public TextDirection(int ordinal)

Method Detail

### ordinal

    public int ordinal()

### values

    public static TextDirection[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD